#include <nanobench.h>

#include "../src/loop_iterations.h"

int main() {
  ankerl::nanobench::Bench bench;
  bench.minEpochIterations(100000);
  bench.run("volatile loop to " + std::to_string(loopIterations), [&] {
    for (volatile int i = 0; i < loopIterations; i = i + 1)
      ;
  });

  return 0;
}
